# Google Play Developer API . edits . apklistings

## Instance Methods

Deletes the APK-specific localized listing for a specified APK and language code.

Deletes all the APK-specific localized listings for a specified APK.

Fetches the APK-specific localized listing for a specified APK and language code.

Lists all the APK-specific localized listings for a specified APK.

Updates or creates the APK-specific localized listing for a specified APK and language code. This method supports patch semantics.

Updates or creates the APK-specific localized listing for a specified APK and language code.

### Method Details

`delete(packageName, editId, apkVersionCode, language)`

    Deletes the APK-specific localized listing for a specified APK and language code.

    Args:
      packageName: string, Unique identifier for the Android app that is being updated; for example, "com.spiffygame". (required)
      editId: string, Unique identifier for this edit. (required)
      apkVersionCode: integer, The APK version code whose APK-specific listings should be read or modified. (required)
      language: string, The language code (a BCP-47 language tag) of the APK-specific localized listing to read or modify. For example, to select Austrian German, pass "de-AT". (required)

`deleteall(packageName, editId, apkVersionCode)`

    Deletes all the APK-specific localized listings for a specified APK.

    Args:
      packageName: string, Unique identifier for the Android app that is being updated; for example, "com.spiffygame". (required)
      editId: string, Unique identifier for this edit. (required)
      apkVersionCode: integer, The APK version code whose APK-specific listings should be read or modified. (required)

`get(packageName, editId, apkVersionCode, language)`

    Fetches the APK-specific localized listing for a specified APK and language code.

    Args:
      packageName: string, Unique identifier for the Android app that is being updated; for example, "com.spiffygame". (required)
      editId: string, Unique identifier for this edit. (required)
      apkVersionCode: integer, The APK version code whose APK-specific listings should be read or modified. (required)
      language: string, The language code (a BCP-47 language tag) of the APK-specific localized listing to read or modify. For example, to select Austrian German, pass "de-AT". (required)

    Returns:
      An object of the form:

        {
        "recentChanges": "A String", # Describe what's new in your APK.
        "language": "A String", # The language code, in BCP 47 format (eg "en-US").
      }

`list(packageName, editId, apkVersionCode)`

    Lists all the APK-specific localized listings for a specified APK.

    Args:
      packageName: string, Unique identifier for the Android app that is being updated; for example, "com.spiffygame". (required)
      editId: string, Unique identifier for this edit. (required)
      apkVersionCode: integer, The APK version code whose APK-specific listings should be read or modified. (required)

    Returns:
      An object of the form:

        {
        "kind": "androidpublisher#apkListingsListResponse", # Identifies what kind of resource this is. Value: the fixed string "androidpublisher#apkListingsListResponse".
        "listings": [
          {
            "recentChanges": "A String", # Describe what's new in your APK.
            "language": "A String", # The language code, in BCP 47 format (eg "en-US").
          },
        ],
      }

`patch(packageName, editId, apkVersionCode, language, body)`

    Updates or creates the APK-specific localized listing for a specified APK and language code. This method supports patch semantics.

    Args:
      packageName: string, Unique identifier for the Android app that is being updated; for example, "com.spiffygame". (required)
      editId: string, Unique identifier for this edit. (required)
      apkVersionCode: integer, The APK version code whose APK-specific listings should be read or modified. (required)
      language: string, The language code (a BCP-47 language tag) of the APK-specific localized listing to read or modify. For example, to select Austrian German, pass "de-AT". (required)
      body: object, The request body. (required)
        The object takes the form of:

    {
      "recentChanges": "A String", # Describe what's new in your APK.
      "language": "A String", # The language code, in BCP 47 format (eg "en-US").
    }

    Returns:
      An object of the form:

        {
        "recentChanges": "A String", # Describe what's new in your APK.
        "language": "A String", # The language code, in BCP 47 format (eg "en-US").
      }

`update(packageName, editId, apkVersionCode, language, body)`

    Updates or creates the APK-specific localized listing for a specified APK and language code.

    Args:
      packageName: string, Unique identifier for the Android app that is being updated; for example, "com.spiffygame". (required)
      editId: string, Unique identifier for this edit. (required)
      apkVersionCode: integer, The APK version code whose APK-specific listings should be read or modified. (required)
      language: string, The language code (a BCP-47 language tag) of the APK-specific localized listing to read or modify. For example, to select Austrian German, pass "de-AT". (required)
      body: object, The request body. (required)
        The object takes the form of:

    {
      "recentChanges": "A String", # Describe what's new in your APK.
      "language": "A String", # The language code, in BCP 47 format (eg "en-US").
    }

    Returns:
      An object of the form:

        {
        "recentChanges": "A String", # Describe what's new in your APK.
        "language": "A String", # The language code, in BCP 47 format (eg "en-US").
      }